Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.1.1

Description

We have Redmine 4.1.1 hosted on an ubuntu server but whenever we attach PDFs, the thumbnails show up as 404 broken links

despite it appearing that it is set up correctly:

 info.png 

All image attachments do show thumbnails correctly.

When I run "rake test" on the server, I consistently get 2 failing unit tests related to this:

AttachmentTest#test_thumbnail_should_generate_the_thumbnail

AttachmentsControllerTest#test_thumbnail_for_pdf_should_be_png

I thought it was just the version of code I'm running or my environment, so I forked the github mirror of Redmine and tried running the

unit tests using github actions to ensure a consistent build environment. However, this is also consistently failing with the same 2

errors.

https://github.com/pangaeatech/redmine-mirror/runs/1500645846?check_suite_focus=true

I've checked in my Bundle.lock file but otherwise it is the same as the version that is clearly building successfully in Jenkins

according to https://www.redmine.org/builds/ - is there a server-level package that I need to apt-install or a gem I'm missing that's not

defined in the Gemfile?

Is the "check" that the information page does to determine whether pdf-to-thumbnail support is enabled broken?  I've confirmed that

"gs" is installed on our server and working correctly.

Thank you,

Michael

History

#1 - 2020-12-05 00:37 - Go MAEDA

I found the following page. Maybe ImageMagick's policy.yml in your environment does not allow converting PDF files.

python - ImageMagick not authorized to convert PDF to an image - Stack Overflow

#2 - 2020-12-05 19:06 - Zee Prime

- Status changed from New to Resolved

Go MAEDA wrote:

I found the following page. Maybe ImageMagick's policy.yml in your environment does not allow converting PDF files.

python - ImageMagick not authorized to convert PDF to an image - Stack Overflow

 Yep - that was it - THANK YOU!!!!!

#3 - 2020-12-08 17:18 - Holger Just

- Status changed from Resolved to Closed

- Resolution set to Invalid
https://github.com/pangaeatech/redmine-mirror/runs/1500645846?check_suite_focus=true
https://www.redmine.org/builds/
https://stackoverflow.com/questions/52861946/imagemagick-not-authorized-to-convert-pdf-to-an-image
https://stackoverflow.com/questions/52861946/imagemagick-not-authorized-to-convert-pdf-to-an-image


Thank you for the feedback. I'm closing this issue as it is not a defect in Redmine.
